FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
Fl_FormsPixmap Class Reference

Forms pixmap drawing routines. More...

`#include <Fl_FormsPixmap.H>`

Inheritance diagram for Fl_FormsPixmap:

List of all members.

## Public Member Functions
| Fl_FormsPixmap (Fl_Boxtype t, int X, int Y, int W, int H, const char *L=0)
| Creates a new Fl_FormsPixmap widget using the given box type, position, size and label string.
void | Pixmap (Fl_Pixmap *B)
| Set the internal pixmap pointer to an existing pixmap.
Fl_Pixmap * | Pixmap () const
| Get the internal pixmap pointer.
void | set (char *const *bits)
| Set/create the internal pixmap using raw data.
## Protected Member Functions
void | draw ()
| Draws the widget.

## Detailed Description

Forms pixmap drawing routines.

## Constructor & Destructor Documentation

Fl_FormsPixmap::Fl_FormsPixmap | ( | Fl_Boxtype | t,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

Creates a new Fl_FormsPixmap widget using the given box type, position, size and label string.

Parameters:

  [in] | t | box type
  [in] | X,Y,W,H | position and size
  [in] | L | widget label, default is no label

## Member Function Documentation

void Fl_FormsPixmap::draw | ( |  | ) | `[protected, virtual]`

Draws the widget.

Never call this function directly. FLTK will schedule redrawing whenever needed. If your widget must be redrawn as soon as possible, call redraw() instead.

Override this function to draw your own widgets.

If you ever need to call another widget's draw method from within your own draw() method, e.g. for an embedded scrollbar, you can do it (because draw() is virtual) like this:

            Fl_Widget *s = &scroll;         // scroll is an embedded Fl_Scrollbar
            s->draw();                      // calls Fl_Scrollbar::draw()

Implements Fl_Widget.

void Fl_FormsPixmap::Pixmap | ( | Fl_Pixmap * | B | ) | `[inline]`

Set the internal pixmap pointer to an existing pixmap.

Parameters:

  [in] | B | existing pixmap

Fl_Pixmap* Fl_FormsPixmap::Pixmap | ( |  | ) | const`[inline]`

Get the internal pixmap pointer.

void Fl_FormsPixmap::set | ( | char *const * | bits | ) |

Set/create the internal pixmap using raw data.

Parameters:

  [in] | bits | raw data

The documentation for this class was generated from the following files:

- Fl_FormsPixmap.H
- forms_pixmap.cxx